<div #searchContainer [style.padding.px]="(isMobile$ | async) ? 0 : 10">
    <mat-accordion [multi]="true">
        <mat-expansion-panel [expanded]="true">
            <mat-expansion-panel-header>
            <mat-panel-title>
                Find your heroes
            </mat-panel-title>
            </mat-expansion-panel-header>
            <app-hero-search-box
                [query]="searchQuery$ | async" 
                [searching]="loading$ | async" 
                [error]="error$ | async"
                (search)="search($event)">
            </app-hero-search-box>
        </mat-expansion-panel>
        <mat-expansion-panel [expanded]="true">
            <mat-expansion-panel-header>
            <mat-panel-title>
                Search result
            </mat-panel-title>
            <mat-panel-description>
                {{ total$ | async }} hero(es) found
            </mat-panel-description>
            </mat-expansion-panel-header>
            <app-hero-search-result
                [loggedIn]="loggedIn$ | async"
                [result]="heroes$ | async"
                [searching]="loading$ | async">
            </app-hero-search-result>
            <app-hero-search-result-pager
                [query]="searchQuery$ | async"
                [length]="total$ | async"
                [pageSize]="limit$ | async"
                (paginate)="paginate($event)">
            </app-hero-search-result-pager>
        </mat-expansion-panel>
    </mat-accordion>
</div>
